Subject: Re: [PATCH] diff: add --no-indicators option

From: Harald Nordgren <[email-masked]>
Date: Fri, 19 Dec 2025 20:08:28 +0100

Hi Mr. Hamano!

Here is my classic use-case: https://lore.kernel.org/git/[email-masked]/

I have auto-formatting set up for all the projects I work on in my daily work (Golang and TypeScript) so leading spaces do get removed automatically. But I agree with your general point, I can take a look at removing the leading column for this patch, it makes the code nicer of course! As you know, the current implementations of 'output-indicator-*' don't support empty string, so a little bit of extra work is needed for that.

Regarding "cutting from Nth column", I use macOS with iTerm 2 and I'm not sure if that functionality exists there. It's of course possible for me to keep copy-pasting the whole blob and removing the +/- signs manually or via some scripts, but seems like a lost oppornunity to not handle this from git?

Maybe I missed your point about GNU or BSD, could you explain more about that?

Harald